//
//  ZYJQNDnsCacheFile.h
//  ZYJQNDNS
//
//  Created by yangsen on 2020/3/26.
//  Copyright © 2020 com.qiniu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ZYJQNRecorderDelegate.h"

NS_ASSUME_NONNULL_BEGIN

@interface ZYJQNDnsCacheFile : NSObject<ZYJQNRecorderDelegate>

/// DNS解析信息本地缓存路径
@property(nonatomic,  copy, readonly)NSString *directory;

/// 构造方法 路径不存在，或进行创建，创建失败返回为nil
+ (instancetype _Nullable)dnsCacheFile:(NSString *)directory
                                 error:(NSError **)perror;

@end

NS_ASSUME_NONNULL_END
