//
//  ZYJQNNetworkInfo.h
//  ZYJHappyDNS
//
//  Created by bailong on 15/6/25.
//  Copyright (c) 2015年 Qiniu Cloud Storage. All rights reserved.
//

#import <Foundation/Foundation.h>

extern const int kZYJQNNO_NETWORK;
extern const int kZYJQNWIFI;
extern const int kZYJQNMOBILE;

extern const int kZYJQNISP_GENERAL;
extern const int kZYJQNISP_CTC;
extern const int kZYJQNISP_DIANXIN;
extern const int kZYJQNISP_CNC;
extern const int kZYJQNISP_LIANTONG;
extern const int kZYJQNISP_CMCC;
extern const int kZYJQNISP_YIDONG;
extern const int kZYJQNISP_OTHER;

@interface ZYJQNNetworkInfo : NSObject

@property (nonatomic, readonly) int networkConnection;
@property (nonatomic, readonly) int provider;

- (instancetype)init:(int)connecton provider:(int)provider;

- (BOOL)isEqual:(id)other;
- (BOOL)isEqualToInfo:(ZYJQNNetworkInfo *)info;

+ (instancetype)noNet;

+ (instancetype)normal;

+ (BOOL)isNetworkChanged;

+ (NSString *)getIp;

@end
